Purchasing Snow Leopard

I need purchasing Snow Leopard to repair the hard drive of my Mac Mini

1 Answer from the Community

  • I need to upgrade from 10.5 to 10.6 (Snow Leopard?)

    • Answered by Janet G
    • 21-Feb-2014